MESSAGE (STATUS "CHECKING FOR FFTW3...")

IF (FFTW3_INCLUDE_DIR AND FFTW3_LIBRARY)
   SET(FFTW3_FIND_QUIETLY TRUE)
ENDIF (FFTW3_INCLUDE_DIR AND FFTW3_LIBRARY)

IF (NOT WIN32)
   INCLUDE(UsePkgConfig)
   PKGCONFIG(fftw3 _FFTW3IncDir _FFTW3LinkDir _FFTW3LinkFlags _FFTW3Cflags)
   SET(FFTW3_DEFINITIONS ${_FFTW3Cflags})
ENDIF (NOT WIN32)

FIND_PATH(FFTW3_INCLUDE_DIR fftw3.h
   PATHS "C:/Dev-Cpp/include/fftw"
   ${_FFTW3IncDir}
   /opt/local/include   
)

MESSAGE (STATUS "FFTW3_INCLUDE_DIR : ${FFTW3_INCLUDE_DIR}")
   
FIND_LIBRARY(FFTW3_LIBRARY NAMES fftw3 fftw3f NO_DEFAULT_PATH 
   PATHS
   "C:/Dev-Cpp/lib"
   "C:/Dev-Cpp/bin"
   ${_FFTW3LinkDir}
   /opt/local/lib
   )

MESSAGE (STATUS "FFTW3_LIBRARY : ${FFTW3_LIBRARY}")
   
IF (FFTW3_INCLUDE_DIR AND FFTW3_LIBRARY)
   SET(FFTW3_FOUND TRUE)
ELSE (FFTW3_INCLUDE_DIR AND FFTW3_LIBRARY)
   SET(FFTW3_FOUND FALSE)
ENDIF (FFTW3_INCLUDE_DIR AND FFTW3_LIBRARY)

IF (FFTW3_FOUND)
   IF (NOT FFTW3_FIND_QUIETLY)
      MESSAGE(STATUS "Found FFTW3: ${FFTW3_LIBRARY}")
   ENDIF (NOT FFTW3_FIND_QUIETLY)
ELSE (FFTW3_FOUND)
   IF (FFTW3_FIND_REQUIRED)
      MESSAGE(SEND_ERROR "Could NOT find FFTW3")
   ENDIF (FFTW3_FIND_REQUIRED)
ENDIF (FFTW3_FOUND)

MARK_AS_ADVANCED(FFTW3_INCLUDE_DIR FFTW3_LIBRARY)

